/* VARIABLES */
/* TYPOGRAPHY */
/* Google Fonts */
/* TYPOGRAPHY */
/* Google Fonts */
#block-saib-start-your-banking-journey-with-saib,
#block-saib-start-your-banking-journey-with-saib-qr {
  display: none;
}

.spb_overlay {
  background-color: rgba(26, 28, 30, 0.6980392157);
}

.spb-popup-main-wrapper {
  background: #f7f7f7;
  border-radius: 2.5rem;
  padding: 0rem;
  overflow: auto;
  position: relative;
  border: unset;
  max-height: 90%;
  height: -moz-fit-content;
  height: fit-content;
  width: 88% !important;
}
@media (max-width: 62rem) {
  .spb-popup-main-wrapper {
    position: fixed;
    bottom: 0;
    border-radius: 1.25rem 1.25rem 0 0;
    width: 100% !important;
  }
}
.spb-popup-main-wrapper.spb_center {
  transform: translateY(-50%) !important;
  margin: 0rem auto !important;
  left: unset !important;
}
@media (max-width: 62rem) {
  .spb-popup-main-wrapper.spb_center {
    top: auto;
    transform: none !important;
  }
}
.spb-popup-main-wrapper .spb-controls {
  inset-inline-end: 32px;
  top: 32px;
}
@media (max-width: 62rem) {
  .spb-popup-main-wrapper .spb-controls {
    inset-inline-end: 20px;
    top: 20px;
  }
}
.spb-popup-main-wrapper .spb_close {
  position: absolute;
  inset-inline-end: 0;
  font-size: 0;
  background: unset;
  width: 32px;
  height: 32px;
  border: none;
  cursor: pointer;
  padding: 0;
  margin: 0;
}
.spb-popup-main-wrapper .spb_close::before {
  content: "";
  display: block;
  background-size: 2rem !important;
  width: 32px;
  height: 32px;
  background: url("../images/icons/close-menus.svg") no-repeat center;
}
.spb-popup-main-wrapper .block-content--type-open-account-modal {
  display: flex;
  min-height: 722px;
}
@media (max-width: 62rem) {
  .spb-popup-main-wrapper .block-content--type-open-account-modal {
    flex-direction: column;
  }
}
.spb-popup-main-wrapper .block-content--type-open-account-modal .group-left {
  background: linear-gradient(135deg, #FBFAF9, #FBFAF9);
  padding: 3.5rem;
  text-align: center;
}
@media (max-width: 62rem) {
  .spb-popup-main-wrapper .block-content--type-open-account-modal .group-left {
    width: 100%;
  }
}
.spb-popup-main-wrapper .block-content--type-open-account-modal .group-left .field--name-field-qr-code img {
  border-radius: 1.25rem;
  background: #FFFFFF;
  padding: 1.5rem;
  width: 240px;
  height: auto;
}
.spb-popup-main-wrapper .block-content--type-open-account-modal .group-left .warpper {
  background: #000000;
}
.spb-popup-main-wrapper .block-content--type-open-account-modal .group-right {
  background: #FFFFFF;
  padding: 3.5rem;
}
@media (max-width: 62rem) {
  .spb-popup-main-wrapper .block-content--type-open-account-modal .group-right {
    width: 100%;
  }
}
.spb-popup-main-wrapper .block-content--type-open-account-modal .group-right .field--name-field-steps {
  --steps-gap: map-get($spacers, "space-400");
}
.spb-popup-main-wrapper .block-content--type-open-account-modal .group-right .field--name-field-steps .field__item::after {
  top: 35px;
  height: calc(100% + 10px);
  inset-block-end: auto;
}
@media (min-width: 62.0625rem) {
  .spb-popup-main-wrapper:has(.field--type-webform) {
    width: 50% !important;
  }
}
.spb-popup-main-wrapper:has(.field--type-webform) form {
  padding: 3.5rem;
}
@media (max-width: 62rem) {
  .spb-popup-main-wrapper:has(.field--type-webform) form {
    padding-top: 3rem;
    padding-inline: 1.25rem;
    padding-bottom: 2rem;
  }
}
.spb-popup-main-wrapper:has(.field--type-webform) form .form-actions {
  width: 100%;
}
.spb-popup-main-wrapper:has(.field--type-webform) form .form-actions .webform-button--submit {
  width: 100%;
  padding: 1.25rem 1.25rem;
  font-size: 1.125rem;
  line-height: 1.75rem;
}
@media (max-width: 90rem) {
  .spb-popup-main-wrapper:has(.field--type-webform) form .form-actions .webform-button--submit {
    font-size: 1rem;
    line-height: 1.5rem;
  }
}
@media (max-width: 64rem) {
  .spb-popup-main-wrapper:has(.field--type-webform) form .form-actions .webform-button--submit {
    font-size: 0.875rem;
    line-height: 1.375rem;
  }
}

@media (max-width: 62rem) {
  .spb-popup-main-wrapper .block-content--type-open-account-modal .group-right {
    order: 1;
    padding: 3rem 1.25rem 2rem;
    gap: 1.5rem !important;
  }
  .spb-popup-main-wrapper .block-content--type-open-account-modal .group-right .btn {
    width: 100%;
  }
  .spb-popup-main-wrapper .block-content--type-open-account-modal .group-left {
    order: 2;
    position: relative;
    gap: 0.75rem !important;
    padding: 1.5rem 1.25rem 2rem;
    background: #FFFFFF;
  }
  .spb-popup-main-wrapper .block-content--type-open-account-modal .group-left::before {
    content: "";
    position: absolute;
    inset-block-start: 0;
    inset-inline: 1.25rem;
    border-block-start: 1px solid #E8E2DB;
  }
  .spb-popup-main-wrapper .block-content--type-open-account-modal .group-left .field--name-field-qr-code,
  .spb-popup-main-wrapper .block-content--type-open-account-modal .group-left .field--name-field-app-description p {
    display: none;
  }
  .spb-popup-main-wrapper .block-content--type-open-account-modal .group-left .field--name-field-app-description h4 {
    margin: 0;
  }
  .spb-popup-main-wrapper .block-content--type-open-account-modal .group-left .field--name-field-app-link {
    justify-content: center;
  }
}
.open-account-modal--qr-code {
  min-height: auto !important;
}
@media (min-width: 62.0625rem) {
  .open-account-modal--qr-code .group-left {
    width: 100% !important;
  }
  .open-account-modal--qr-code .group-right {
    display: none !important;
  }
}
.open-account-modal--qr-code .field--name-field-qr-code img {
  border-radius: 1.25rem;
  background: #FFFFFF;
  padding: 1.5rem;
}
